=== modified file 'config.yaml'
--- config.yaml	2013-08-13 22:03:53 +0000
+++ config.yaml	2013-10-17 19:25:15 +0000
@@ -23,7 +23,7 @@
     type: string
     description: Username used to access rabbitmq queue
   rabbit-vhost:
-    default: nova
+    default: openstack
     type: string
     decsription: Rabbitmq vhost
   database-user:

=== modified file 'hooks/nova_compute_hooks.py'
--- hooks/nova_compute_hooks.py	2013-09-27 16:20:42 +0000
+++ hooks/nova_compute_hooks.py	2013-10-17 19:25:15 +0000
@@ -82,8 +82,10 @@
 
 @hooks.hook('amqp-relation-joined')
 @restart_on_change(restart_map())
-def amqp_joined():
-    relation_set(username=config('rabbit-user'), vhost=config('rabbit-vhost'))
+def amqp_joined(relation_id=None):
+    relation_set(relation_id=relation_id,
+                 username=config('rabbit-user'),
+                 vhost=config('rabbit-vhost'))
 
 
 @hooks.hook('amqp-relation-changed')
@@ -199,6 +201,12 @@
     CONFIGS.write_all()
 
 
+@hooks.hook('upgrade-charm')
+def upgrade_charm():
+    for r_id in relation_ids('amqp'):
+        amqp_joined(relation_id=r_id)
+
+
 def main():
     try:
         hooks.execute(sys.argv)

=== added symlink 'hooks/upgrade-charm'
=== target is 'nova_compute_hooks.py'
=== modified file 'unit_tests/test_nova_compute_hooks.py'
--- unit_tests/test_nova_compute_hooks.py	2013-09-27 16:20:42 +0000
+++ unit_tests/test_nova_compute_hooks.py	2013-10-17 19:25:15 +0000
@@ -105,7 +105,8 @@
 
     def test_amqp_joined(self):
         hooks.amqp_joined()
-        self.relation_set.assert_called_with(username='nova', vhost='nova')
+        self.relation_set.assert_called_with(username='nova', vhost='openstack',
+                                             relation_id=None)
 
     @patch.object(hooks, 'CONFIGS')
     def test_amqp_changed_missing_relation_data(self, configs):

